Query Real-Time Search
curl --request POST \
--url https://api.dappier.com/app/aimodel/{ai_model_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>"
}
'import requests
url = "https://api.dappier.com/app/aimodel/{ai_model_id}"
payload = { "query": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: '<string>'})
};
fetch('https://api.dappier.com/app/aimodel/{ai_model_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>"
}Developer APIs
Real Time Search
Access real-time search with Dappier’s AI models — from live web search and breaking news to stock prices and financial insights. Fast, reliable, and ready for monetization.
POST
/
app
/
aimodel
/
{ai_model_id}
Query Real-Time Search
Authorizations
Bearer token authentication using your Dappier API key. Get your API key at https://platform.dappier.com/profile/api-keys.
Path Parameters
The ID of the AI model to query (e.g., am_01j06ytn18ejftedz6dyhz2b15). Browse and find AI models in the Dappier Marketplace.
Body
application/json
The query text to be passed to the AI model.
Response
200 - application/json
Returns HTTP Status Code 200 (OK).
The response of the query sent, generated by the AI model.
⌘I

